#include <iostream>
#include <math.h>
#include <algorithm>
using namespace std;
#define MAXNQ 20000

int main()
{
    int n,q,a[MAXNQ],b[MAXNQ];

    cin >> n >> q;

    for(int i=0;i<n;i++)
        cin >> a[i];

       sort(a,a+n);
    for(int i=0;i<q;i++)
        {
    cin >> b[i];


     bool nepostoji=true;
      for(int j=0;j<n;j++)
        if(a[j]==b[i]) nepostoji=false;

     if(nepostoji)
        cout << n<< endl;
        else
        {
        for(int j=0;j<n;j++)
            if(a[j]==b[i])
         cout << abs(n/2 - j)<< endl;
        }

        }

    return 0;
}